from flask_restful import Resource
from flask import current_app as app
from flask import request_tearing_down
import json

class KF3_Item(Resource):
    def get(self, id:int):
        from ..database import Database
        db : Database = app.databases["KF3"]
        
        result = db.get_item(id)
        result = json.dumps(result, ensure_ascii=False, indent=1)

        response = app.response_class(
            response=result,
            status=200,
            mimetype='application/json'
        )

        response.headers.add("Access-Control-Allow-Origin", "*")
        return response 