from flask_restful import Resource
from flask import current_app as app
from flask import request

class Kingdom_Item(Resource):
    def get(self, id:int):
        result = app.databases["Kingdom"].get_item(id)

        response = app.response_class(
            response=result,
            status=200,
            mimetype='application/json'
        )

        response.headers.add("Access-Control-Allow-Origin", "*")
        return response  