import aiohttp

async def download_bytes(url, session : aiohttp.ClientSession):
    async with session.get(url) as resp:
        return await resp.read()
            
async def download_text(url, session : aiohttp.ClientSession):
    async with session.get(url) as resp:
        return await resp.text()